-- Author      : Skylar State
-- Last Updated : 7/16/2012 01:45 AM

local SkyUI = SkyUI
local SkyBaseClass = SkyBaseClass
local SkyCombos = SkyUI_CreateClass(SkyBaseClass)
local cfg = SkyUI.Config.ComboPoints



function SkyCombos.prototype:init()
SkyUI.combopoints = self;

local frameSpec = SkyUI.Specs.ComboPoints.Frames.Combo

 self.Name = "Combo"
 self.RT = frameSpec.RT
 self.X = frameSpec.X
 self.Y = frameSpec.Y
 self.W = frameSpec.W
 self.H = frameSpec.H
 self.T = SkyUI.Specs.ComboPoints.Textures

 self.TS = SkyUI.Specs.ComboPoints.TextureSheet
 self.tO = SkyUI.Specs.ComboPoints.TextureOffset
	
 self:CreateFrame()

 self:AddTextures()

 self.F:RegisterEvent("UNIT_COMBO_POINTS")
 self.F:RegisterEvent("PLAYER_TARGET_CHANGED")


end





function SkyCombos.prototype:UpdatePoints()
 local targ = false
 if UnitExists("target") then
  targ = true
--  self.F["BG"]:SetAlpha(1)
-- else
--  self.F["BG"]:SetAlpha(0)
 end

 local pts = GetComboPoints("player", "target")
 for i=1,5 do
  if i <= pts and targ then self.F["C" .. i]:SetAlpha(1)
  else  self.F["C" .. i]:SetAlpha(0)
  end
 end
end

SkyUI.Modules.ComboPoints.OnConfigUpdated = function()
 if SkyUI.Modules.ComboPoints.Enabled == false then return true end
 local frameSpec = SkyUI.Specs.ComboPoints.Frames.Combo
 local newX, newY = cfg.UI.OffsetX, cfg.UI.OffsetY
 SkyUI.combopoints.F:SetPoint(SkyUI.combopoints.RT, frameSpec.X + newX, frameSpec.Y + newY)
 SkyUI.combopoints.F:SetScale(SkyUI.Config.UnitFrames.UI.Scale)
end

local function EventManager(self, evt, unit, arg1, arg2, arg3)
 self.sui:UpdatePoints()
end

function SkyCombos.prototype:Enable()
 self:Show()
end

function SkyCombos.prototype:Disable()
 self:Hide()
end


SkyUI.Modules.ComboPoints.Enable = function()
 if SkyUI.Modules.ComboPoints.Enabled then return true end
 cfg.UI.Enabled = true
 SkyUI.Modules.ComboPoints.Enabled = true
 
 if SkyUI.combopoints then SkyUI.combopoints:Enable()
 else SkyCombos:new() end
 
 SkyUI.combopoints.F:SetScript("OnEvent", EventManager)
 
 RegisterStateDriver(ComboFrame, "visibility", "hide")
 
-- SkyUI.player:AuraUpdates()
end

SkyUI.Modules.ComboPoints.Disable = function()
 if not SkyUI.Modules.ComboPoints.Enabled then return true end
 cfg.UI.Enabled = false
 SkyUI.Modules.ComboPoints.Enabled = false
 
 if SkyUI.combopoints then SkyUI.combopoints:Disable() end
 
 SkyUI.combopoints.F:SetScript("OnEvent", nil)

 UnregisterStateDriver(ComboFrame, "visibility")
end




--ComboFrame:Hide()
--ComboFrame:UnregisterAllEvents()






